from ocs.api import healthchecks

from . import MetadataAPIBaseView


class HealthCheck(MetadataAPIBaseView):

    def index(self):

        return healthchecks.format_response({
            'Compute privileged API token permissions':
                healthchecks.token_has_perm(
                    self.privileged_account_api,
                    self.privileged_compute_api.auth_token,
                    service='compute', name='servers:read', resource='*'
                ),

            'Account privileged API token permissions':
                healthchecks.token_has_perm(
                    self.privileged_account_api,
                    self.privileged_account_api.auth_token,
                    service='account', name='organization:read', resource='*'
                ),
        })
